
#include <LPC17xx.h>
#include <PIN_LPC17xx.h>
#include <GPIO_LPC17xx.h>

/*-----------------------------------------------------------------------------
  SysTick_Handler
*----------------------------------------------------------------------------*/
void SysTick_Handler (void)  {

	GPIO_PinWrite(3, 25, !GPIO_PinRead(3, 25));
	GPIO_PinWrite(3, 26, !GPIO_PinRead(3, 26));

}

void setup() {

	PIN_Configure(3, 25, PIN_FUNC_0, PIN_PINMODE_PULLDOWN, PIN_PINMODE_NORMAL);
	PIN_Configure(3, 26, PIN_FUNC_0, PIN_PINMODE_PULLDOWN, PIN_PINMODE_NORMAL);

	GPIO_SetDir(3,25,GPIO_DIR_OUTPUT);
	GPIO_SetDir(3,26,GPIO_DIR_OUTPUT);

	GPIO_PinWrite(3, 25, 1);
	GPIO_PinWrite(3, 26, 0);

}

int main(int argc, char** argv) {

	SystemInit();
	SysTick_Config(SystemCoreClock / 10);

	setup();

	while(1) {
		__WFI();
	}

	return 0;

}
